Page MenuHomePhabricator

git grep strtolower/strtoupper and see which one of them need to be mb_strtolower/mb_strtoupper
Closed, ResolvedPublic

Description

What it says in the title

Details

Related Gerrit Patches:
mediawiki/services/parsoid : masterConvert a few more strto* uses to mb_strto* uses
mediawiki/services/parsoid : masterFix special page name with default local name
mediawiki/services/parsoid : masterUse mb_strtolower when getting canonicalFunctionName

Event Timeline

ssastry created this task.Aug 17 2019, 9:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2019, 9:35 PM
ssastry triaged this task as Medium priority.Aug 17 2019, 9:36 PM
ssastry moved this task from Backlog to Bugs on the Parsoid-PHP board.

Change 533093 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] Use mb_strtolower when getting canonicalFunctionName

https://gerrit.wikimedia.org/r/533093

Note function names are case insensitive for when you're grepping.

Change 533093 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Use mb_strtolower when getting canonicalFunctionName

https://gerrit.wikimedia.org/r/533093

Change 531520 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] Fix special page name with default local name

https://gerrit.wikimedia.org/r/531520

Change 531520 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Fix special page name with default local name

https://gerrit.wikimedia.org/r/531520

ssastry claimed this task.Sep 10 2019, 4:51 AM

Change 535600 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/services/parsoid@master] Convert a few more strto* uses to mb_strto* uses

https://gerrit.wikimedia.org/r/535600

Change 535600 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Convert a few more strto* uses to mb_strto* uses

https://gerrit.wikimedia.org/r/535600

ssastry removed ssastry as the assignee of this task.Sep 25 2019, 1:37 PM
ssastry closed this task as Resolved.Sep 25 2019, 10:29 PM
ssastry claimed this task.